Ubuntu

resuming from hybernate, black screen with strips. [irq 18 try booting with the "irqpoll" option]

Reported by Fabio Marconi on 2011-03-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Medium
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Hello resuming from hybernate, the pc start, but the screen stay black with purple stripes, calling tty, nothing change, but tty is usable but not visible, just white little tract.
During hybernation appear the following message:

irq 18: nobody cared (try booting with the "irqpoll" option)

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: linux-image-2.6.38-7-generic 2.6.38-7.35
Regression: Yes
Reproducible: Yes
ProcVersionSignature: Ubuntu 2.6.38-7.35-generic 2.6.38
Uname: Linux 2.6.38-7-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: VT1812 Analog [VT1812 Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: VT1812 Analog [VT1812 Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: laura 1431 F.... pulseaudio
CRDA: Error: [Errno 2] File o directory non esistente
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf0400000 irq 45'
   Mixer name : 'VIA VT1812'
   Components : 'HDA:11060448,15581100,00100000'
   Controls : 19
   Simple ctrls : 10
Date: Fri Mar 18 19:09:11 2011
HibernationDevice: RESUME=UUID=73bef8af-a5c9-4d96-9540-80e40ed1469d
InstallationMedia: Ubuntu-Netbook 10.10 "Maverick Meerkat" - Release i386 (20101007)
Lsusb:
 Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: CLEVO CO. M1100M
ProcEnviron:
 LANGUAGE=it_IT:it_IT.UTF-8:en
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-7-generic root=UUID=4b058cdc-2ba5-48a8-8a7e-2ccec4aeef95 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-7-generic N/A
 linux-backports-modules-2.6.38-7-generic N/A
 linux-firmware 1.48
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
UpgradeStatus: Upgraded to natty on 2011-03-18 (0 days ago)
dmi.bios.date: 09/08/2010
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: 6.00
dmi.board.name: M1100M
dmi.board.vendor: CLEVO CO.
dmi.board.version: Not Applicable
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: No Enclosure
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvr6.00:bd09/08/2010:svnCLEVOCO.:pnM1100M:pvrNotApplicable:rvnCLEVOCO.:rnM1100M:rvrNotApplicable:cvnNoEnclosure:ct10:cvrN/A:
dmi.product.name: M1100M
dmi.product.version: Not Applicable
dmi.sys.vendor: CLEVO CO.

Fabio Marconi (fabiomarconi) wrote :
Fabio Marconi (fabiomarconi) wrote :
description: updated
Fabio Marconi (fabiomarconi) wrote :
Download full text (3.6 KiB)

From kern.log:

Mar 18 19:04:22 Cricco kernel: [ 125.402397] irq 18: nobody cared (try booting with the "irqpoll" option)
Mar 18 19:04:22 Cricco kernel: [ 125.402417] Pid: 2122, comm: 98video-quirk-d Not tainted 2.6.38-7-generic #35-Ubuntu
Mar 18 19:04:22 Cricco kernel: [ 125.402427] Call Trace:
Mar 18 19:04:22 Cricco kernel: [ 125.402448] [<c10b124c>] ? __report_bad_irq.clone.2+0x2c/0x90
Mar 18 19:04:22 Cricco kernel: [ 125.402463] [<c10aff0c>] ? handle_IRQ_event+0x4c/0x160
Mar 18 19:04:22 Cricco kernel: [ 125.402477] [<c10b159a>] ? note_interrupt+0x15a/0x1a0
Mar 18 19:04:22 Cricco kernel: [ 125.402491] [<c10b21bc>] ? handle_fasteoi_irq+0xac/0xd0
Mar 18 19:04:22 Cricco kernel: [ 125.402504] [<c10b2110>] ? handle_fasteoi_irq+0x0/0xd0
Mar 18 19:04:22 Cricco kernel: [ 125.402513] <IRQ> [<c15106c2>] ? do_IRQ+0x42/0xc0
Mar 18 19:04:22 Cricco kernel: [ 125.402539] [<c1003670>] ? common_interrupt+0x30/0x38
Mar 18 19:04:22 Cricco kernel: [ 125.402555] [<c10e00d8>] ? padata_start+0x28/0x60
Mar 18 19:04:22 Cricco kernel: [ 125.402569] [<c10e854c>] ? __alloc_pages_nodemask+0x6c/0x710
Mar 18 19:04:22 Cricco kernel: [ 125.402585] [<c10335ae>] ? kmap_atomic_prot+0xde/0x100
Mar 18 19:04:22 Cricco kernel: [ 125.402598] [<c10e1be2>] ? unlock_page+0x42/0x50
Mar 18 19:04:22 Cricco kernel: [ 125.402612] [<c10fe0f8>] ? __do_fault+0x3b8/0x4c0
Mar 18 19:04:22 Cricco kernel: [ 125.402627] [<c1031a24>] ? pte_alloc_one+0x24/0x50
Mar 18 19:04:22 Cricco kernel: [ 125.402640] [<c10fe5f6>] ? __pte_alloc+0x26/0xb0
Mar 18 19:04:22 Cricco kernel: [ 125.402653] [<c1101420>] ? handle_mm_fault+0x70/0x120
Mar 18 19:04:22 Cricco kernel: [ 125.402668] [<c150cd20>] ? do_page_fault+0x0/0x490
Mar 18 19:04:22 Cricco kernel: [ 125.402681] [<c150ce7e>] ? do_page_fault+0x15e/0x490
Mar 18 19:04:22 Cricco kernel: [ 125.402695] [<c1103444>] ? remove_vma+0x44/0x60
Mar 18 19:04:22 Cricco kernel: [ 125.402710] [<c12750ba>] ? radix_tree_lookup+0xa/0x10
Mar 18 19:04:22 Cricco kernel: [ 125.402724] [<c10af944>] ? irq_to_desc+0x14/0x20
Mar 18 19:04:22 Cricco kernel: [ 125.402737] [<c100523d>] ? handle_irq+0x1d/0x90
Mar 18 19:04:22 Cricco kernel: [ 125.402751] [<c10567bc>] ? irq_exit+0x3c/0x80
Mar 18 19:04:22 Cricco kernel: [ 125.402764] [<c15106cb>] ? do_IRQ+0x4b/0xc0
Mar 18 19:04:22 Cricco kernel: [ 125.402778] [<c150cd20>] ? do_page_fault+0x0/0x490
Mar 18 19:04:22 Cricco kernel: [ 125.402791] [<c150a1ff>] ? error_code+0x67/0x6c
Mar 18 19:04:22 Cricco kernel: [ 125.402805] [<c1500000>] ? cpu_init+0x75/0x15e
Mar 18 19:04:22 Cricco kernel: [ 125.402813] handlers:
Mar 18 19:04:22 Cricco kernel: [ 125.402820] [<c13a3d30>] (usb_hcd_irq+0x0/0x80)
Mar 18 19:04:22 Cricco kernel: [ 125.402837] Disabling IRQ #18
Mar 18 19:04:23 Cricco kernel: [ 125.855313] rtl8192_SetWirelessMode(), wireless_mode:4, bEnableHT = 0
Mar 18 19:04:23 Cricco kernel: [ 125.855334] ===>rtllib_start_scan()
Mar 18 19:04:23 Cricco kernel: [ 125.855399] =====>rtl8192_set_chan()====ch:2
Mar 18 19:04:23 Cricco kernel: [ 125.866256] ADDRCONF(NETDEV_UP): wlan0: link is not ready
Mar 18 19:04:23 Cricco kernel: [ 125.872170] jme 0000:09:00.5: irq 45 for MSI/MSI-X
Mar 18 19:04:...

Read more...

tags: removed: needs-upstream-testing
summary: - resuming from hybernate, black screen with strips, tty working but
- nothing visible, only white tract without sense.
+ resuming from hybernate, black screen with strips, try booting with the
+ "irqpoll" option
summary: - resuming from hybernate, black screen with strips, try booting with the
- "irqpoll" option
+ resuming from hybernate, black screen with strips. [try booting with the
+ "irqpoll" option]
summary: - resuming from hybernate, black screen with strips. [try booting with the
- "irqpoll" option]
+ resuming from hybernate, black screen with strips. [irq 18 try booting
+ with the "irqpoll" option]
Changed in linux:
importance: Unknown → Medium
status: Unknown → Incomplete
Brad Figg (brad-figg) on 2011-05-04
Changed in linux (Ubuntu):
status: New → Confirmed
Fabio Marconi (fabiomarconi) wrote :

Bug no more present in oneiric
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Changed in linux:
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.